package com.kxs.product.biz.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 错误类型枚举
 *
 * @author 没秃顶的码农
 * @date 2023/10/29
 */
@Getter
@RequiredArgsConstructor
public enum ProductErrorTypeEnum {

	ORDER_EMPTY(-1, "订单不存在"),
	ORDER_NO_CANCEL(-1, "订单已不能取消"),
	ORDER_NO_CONFIRM(-1, "订单已不能收货"),
	USER_IS_NOT_FIND(-1, "划拨对象不在您的权限范围"),
	USER_IS_NOT_AUTH(-1, "该创客未实名认证"),
	MACHINE_NOT_FOUND(-1, "SN码不存在"),
	MACHINE_BIND(-1, "该机具已绑定"),
	TICKET_NOT_FOUND(-1, "券码不存在"),
	TICKET_NOT_USER(-1, "券码不属于该创客"),
	MACHINE_NOT_USER(-1, "机具不属于该创客"),
	BRAND_EMPTY(-1, "产品未找到"),
	IMPORT_EMPTY(-1, "导入数据为空"),
	MACHINE_TRANSFER_NO(-1, "循环机不可划拨");

	private final int code;

	private final String description;

}
